Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/pos/labor/employees/import

Prev Next
Post
/public/v1/pos/labor/employees/import

Import POS labor employee data for a specific location and business date

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Body parameters
Expand All
object
locationId
string (uuid)
businessDate
string (date)
importMode
string | null
employees
Array of object (R365.Sync.PosIngestion.Shared.Input.Labor.EmployeeRecord) | null
object
address1
string | null
address2
string | null
dateOfBirth
string | null
city
string | null
firstName
string | null
fullName
string | null
hireDate
string | null
lastName
string | null
middleName
string | null
mobilePhone
string | null
payrollId
string | null
id
string | null

Unique identifier of the employee record.

ssNumber
string | null
state
string | null
zipCode
string | null
email
string | null
inactive
boolean

Indicates whether the employee record is inactive.

jobTitles
Array of object (R365.Sync.PosIngestion.Shared.Input.Labor.EmployeeJobTitleRecord) | null
object
jobTitleId
string | null
empJobId
string | null
rate
number (double)
idempotencyKey
string | null
correlationId
string | null
clientTimestampUtc
string (date-time) | null
Responses
200

Labor employee data accepted for import

object
importId
integer (int64)
requestId
integer (int64)
isNewSession
boolean
correlationId
string | null
422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive